
Redmine - Patch #30445

Remove unnecessary bgl and bgr wrappers from the footer

2019-01-16 18:21 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

There is a footer container, which has 2 more containers inside named bgl and bgr, considering that footer has nothing in it, but a

short line of text, and I don't think we will ever need anything else from the footer, than just displaying this line, I think they both

should be killed and text that's contained by it to be instead wrapped directly by a #footer div.

Related issues:

Related to Redmine - Patch #30231: Operation: "Unwraping The Mine" or conerns... Closed

Related to Redmine - Feature #871: Commit new CSS styles! Closed 2008-03-15

Associated revisions

Revision 17839 - 2019-01-23 09:52 - Go MAEDA

Remove unnecessary bgl and bgr wrappers from the footer (#30445).

Patch by Max Johansson.

History

#1 - 2019-01-16 23:05 - Marius BĂLTEANU

- Related to Patch #30231: Operation: "Unwraping The Mine" or conerns about how elements are wrapped added

#2 - 2019-01-17 00:40 - Go MAEDA

- Related to Feature #871: Commit new CSS styles! added

#3 - 2019-01-17 00:41 - Go MAEDA

wrapper2, .bgl, and .bgr were added in response to the request #871. Those classes are no longer used in both the default theme and redmine.org's

theme.

#4 - 2019-01-17 20:36 - Marius BĂLTEANU

LGTM.

#5 - 2019-01-17 20:36 - Marius BĂLTEANU

- Target version set to Candidate for next major release

#6 - 2019-01-23 07:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

The classes are no longer used even in redmine.org. Setting the target version to 4.1.0.

#7 - 2019-01-23 09:53 - Go MAEDA

- Category changed from UI to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#8 - 2019-09-15 04:16 - Mischa The Evil

- File redmine.org#footer-20190915.png added
https://www.redmine.org/issues/871


I think that this change will, without further action, become problematic for the redmine.org instance:

<screenshot removed>

#9 - 2019-09-15 05:41 - Mischa The Evil

Please ignore my previous comment. I misinterpreted some things.

Files

bgl-bgr-removal.patch 495 Bytes 2019-01-16 Anonymous

redmine.org#footer-20190915.png 107 KB 2019-09-15 Mischa The Evil
